Bug 208049 - DMA -- Probe BIOS or other area to determine which mode to use? (ICH, AHCI, ...)
DMA -- Probe BIOS or other area to determine which mode to use? (ICH, AHCI, ...)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-09-25 23:16 EDT by Steve
Modified: 2013-07-02 22:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
well .. dmesg for Fedora 5 kernel 2.6.17-1.2187_FC5 (17.31 KB, text/plain)
2006-09-27 15:35 EDT, Steve
no flags Details
dmesg for new kernel (17.80 KB, application/octet-stream)
2006-10-16 18:41 EDT, Steve
no flags Details

  None (edit)
Description Steve 2006-09-25 23:16:34 EDT
Description of problem:
I'm not sure how possible this is, but it seems like there's a good number of
DMA issues eg on bugzilla and fedoraforum. While the chipsets are for the most
part supported, it seems the problem what driver to actually load IDE or SATA
with IDE passthrough. Newer desktop boards may allow the mode to be set like
AHCI, or ICH*, ... and when I originally entered a DMA bug report summer 2005,
it was asked if i can choose the mode in my bios. I use a laptop with very
limited options, so no, I cant choose which mode to use. .. EG my laptop when I
use a Fedora kernel will load the IDE drivers instead of SATA - ICH drivers ..
and I won't get DMA. An easy workaround is to use my own kernel with custom
config or add combined_mode=libata as a kernel arguement.

So in order to get DMA working correctly without need for kernel arguemnts like:
combined_mode=libata ... the kernel would have to correctly detect the mode to
use most likely by probing the BIOS. Is this reasonable?

I know there's problems like say my laptop doesn't have that mode as an option
so would it even be in the bios.

But anyhow just thought I'd ask .. as I'm not advanced enough programmer to help
code, so I thought id see what else i can do.

Version-Release number of selected component (if applicable): I'm using
kernel.org 2.6.18 upstream


How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Steve 2006-09-27 15:35:07 EDT
Created attachment 137242 [details]
well .. dmesg for Fedora 5 kernel 2.6.17-1.2187_FC5

Just showing that the IDE driver is loaded for my DVD writer instead of the
SATA driver.

And since I don't have an option for combined mode or legacy in my bios ...
err just wondering if say maybe the mode can be detected by the kernel ..

or maybe something as simple as delay loading the ide driver until after the
SCSI/SATA drivers are loaded.

That way if SCSI / SATA drivers can't pick a device and its truly IDE .. when
the IDE driver starts, it will then load the device.
Comment 2 Dave Jones 2006-10-16 13:22:29 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Steve 2006-10-16 18:41:56 EDT
Created attachment 138635 [details]
dmesg for new kernel

DMA doesnt load in new kernel either (WITH OUT KERNEL ARGUEMTNS)

I've had a few thouhts about this... Probing the bios to determine mode and may
not even help depending on the computer. A segestion I said before was to delay
IDE driver or something so SCSI / SATA drivers load first.

However, I also thought of something else. Throw in a check: IF the IDE driver
fails to enable DMA for the device, release the device so then it may get
loaded by SCSI / SATA driver. But I don't know the exetent of what's involded
with this .. but just some ideas as it would be nice for people to have to not
worry about adding kernel arguements or custom config to get DMA on their
drive.
Comment 4 Steve 2006-10-25 01:25:38 EDT
Oh to be a step ahead same happens in FC6 - just did a fresh install today
Comment 5 Peter Åstrand 2006-11-29 17:50:04 EST
This was a problem for me as well. Before doing the modifications suggested by
http://www.fedoraforum.org/forum/showthread.php?t=114586, my DVD read speed was
1.5 MB/s. After the modifications, the speed went up to 5.6 MB/s, and the
machine is much more responsive. 

Btw, the upgrade from FC5 to FC6 on this machine took 16 hours! Probably due to
this bug. My machine is a Dell D610. 
Comment 6 Steve 2007-02-20 22:47:40 EST
according to
http://fedoraproject.org/wiki/Releases/FeatureLibataForPata?highlight=%28CategoryFedora7Features%29
the Fedora 7 wiki intended release fixes include making the necessary changes to
Kernel source and configuration and whatnot
but if done correctly it will most likely fix the problem

If I remember to I'll try out Fedora 7 Test 3 when it comes out and if its broke
there hopefully when i report it, there will still be about 2 months to general
release (due to test 4) to make sure its in there

but no hurries ... great job kernel devs, the workaround to enable dma is simple
enough
Comment 7 Ryan Daly 2008-02-16 12:23:16 EST
I'm running RHEL 5.1 on a Dell Latitude D820.  I'm still experiencing this issue.

: localhost 17#; hdparm -d1 /dev/hdc

/dev/hdc:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

I'm running the latest kernel available for RHEL 5.1:

: localhost 18#; uname -r
2.6.18-53.1.13.el5

Should I still need to pass options to my boot line?
Comment 8 Bug Zapper 2008-04-03 23:51:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 12:24:38 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.